Zum Hauptinhalt springen

Get a list of already created keys

GET/v2/customers/{customerId}/ai-hosting-keys
API-Version
v2
Request-Methode
GET
Operation-ID
ai-hosting-customer-get-keys

Request​

  • customerIdstringrequired

Responses​

Response-Header
  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

Format
application/json
Beschreibung

List of keys of a customer.

  • Array[
    • *object
      • containerMetaobject
        • containerIdstring
        • errorMessagestring
        • ingressIdstring
        • stackIdstring
        • statusstring (einer von: created, requested, failed)required
      • customerIdstringdeprecated

        This Field is deprecated. Use the profileId field instead.

      • isBlockedbooleanrequired

        Indicates whether the key is blocked.

      • keystringdeprecatedrequired

        The secret API key. For security reasons we no longer want to keep exposing this value on every response — this field is deprecated and will stop returning the real key in a future change. It still returns the real value for now.

      • keyIdstringrequired

        Auto generated uuid to identify keys in requests.

      • modelsArray von stringdeprecatedrequired

        This Field is deprecated. You can find the allowed models in the /ai-hosting route.

        • Array[
          • *string
          ]
      • namestringrequired
      • planIdstringrequired
      • profileIdstringrequired
      • projectIdstring
      • rateLimitobjectrequired

        The number of allowed requests per unit. Limits are shared across all keys within the same project.

        • allowedRequestsPerUnitintegerrequired
        • unit"minute"required
      • tokenUsageobjectrequired
        • planLimitinteger (≥ -1, int64)required
        • usedinteger (≥ 0, int64)required
    ]
Content-Type: application/json

[
{
"containerMeta": {
"containerId": "string",
"errorMessage": "string",
"ingressId": "string",
"stackId": "string",
"status": "created"
},
"isBlocked": true,
"keyId": "string",
"name": "string",
"planId": "string",
"profileId": "string",
"projectId": "string",
"rateLimit": {
"allowedRequestsPerUnit": 123,
"unit": "minute"
},
"tokenUsage": {
"planLimit": 123,
"used": 123
}
}
]
{
"items": {
"properties": {
"containerMeta": {
"properties": {
"containerId": {
"type": "string"
},
"errorMessage": {
"type": "string"
},
"ingressId": {
"type": "string"
},
"stackId": {
"type": "string"
},
"status": {
"enum": [
"created",
"requested",
"failed"
],
"type": "string"
}
},
"required": [
"status"
],
"type": "object"
},
"customerId": {
"deprecated": true,
"description": "This Field is deprecated. Use the profileId field instead.",
"type": "string"
},
"isBlocked": {
"default": false,
"description": "Indicates whether the key is blocked.",
"type": "boolean"
},
"key": {
"deprecated": true,
"description": "The secret API key. For security reasons we no longer want to keep exposing this value on every response — this field is deprecated and will stop returning the real key in a future change. It still returns the real value for now.",
"type": "string"
},
"keyId": {
"description": "Auto generated uuid to identify keys in requests.",
"type": "string"
},
"models": {
"deprecated": true,
"description": "This Field is deprecated. You can find the allowed models in the /ai-hosting route.",
"items": {
"type": "string"
},
"type": "array"
},
"name": {
"type": "string"
},
"planId": {
"type": "string"
},
"profileId": {
"type": "string"
},
"projectId": {
"type": "string"
},
"rateLimit": {
"description": "The number of allowed requests per unit. Limits are shared across all keys within the same project.",
"properties": {
"allowedRequestsPerUnit": {
"type": "integer"
},
"unit": {
"enum": [
"minute"
],
"type": "string"
}
},
"required": [
"allowedRequestsPerUnit",
"unit"
],
"type": "object"
},
"tokenUsage": {
"properties": {
"planLimit": {
"format": "int64",
"minimum": -1,
"type": "integer"
},
"used": {
"format": "int64",
"minimum": 0,
"type": "integer"
}
},
"required": [
"used",
"planLimit"
],
"type": "object"
}
},
"required": [
"keyId",
"profileId",
"planId",
"key",
"models",
"name",
"isBlocked",
"tokenUsage",
"rateLimit"
],
"type": "object"
},
"type": "array"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/ai-hosting-keys?planId=string&limit=50&page=1
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.aiHosting.aiHostingCustomerGetKeys({
"customerId": "string",
"queryParameters": {
"planId": "string",
"limit": 50,
"page": 1
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\AIHosting\AiHostingCustomerGetKeys\AiHostingCustomerGetKeysRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new AiHostingCustomerGetKeysRequest(
customerId: "string"
))
->withPlanId("string")
->withLimit(50)
->withPage(1);
$response = $client->aiHosting()->aiHostingCustomerGetKeys($request);

var_dump($response->getBody();

Auf dieser Seite